# Contributing to Facebook Open Source Projects

We want to make contributing to this project as easy and transparent as
possible.

## Our Development Process

This project is mainly for Facebook developers to ship dependencies to our
other projects. Some of this code is synced out from internal repositories.

## Pull Requests

Since this project's primary goal is to support Facebook projects and
engineers, we may be unresponsive to community pull requests. In addition,
since some of this code is synced out from internal locations, it can be
difficult for us to accept PRs. We'll do our best to accomodate but we may not
be able to accept all contributions.

## Contributor License Agreement ("CLA")

In order to accept your pull request,
we need you to submit a CLA. You only need to do this once to work on any of
Facebook's open source projects.

Complete your CLA here: <https://code.facebook.com/cla>

## Issues We use GitHub issues to track public bugs.

Please ensure your
description is clear and has sufficient instructions to be able to reproduce
the issue.

Facebook has a [bounty program](https://www.facebook.com/whitehat/) for the
safe disclosure of security bugs. In those cases, please go through the process
outlined on that page and do not file a public issue.

## License

By contributing to FBJS, you agree that your contributions will be licensed
under the LICENSE file in the root directory of this source tree.
